-- In Civ5, the more cities there were, the more penalties were in science and culture. 
-- Therefore, the more districts you have, the more penalties to build districts are. 
-- The amount of production needed to build a district does not matter with science and civic tech.

-- Adjust special districts to 2/3rds the cost of normal districts. (Including Japan)

UPDATE Districts
  SET Cost = MAX( Cost, COALESCE( ( ( SELECT d2.Cost FROM Districts d2 WHERE d2.DistrictType = ( SELECT ReplacesDistrictType FROM DistrictReplaces WHERE CivUniqueDistrictType = Districts.DistrictType ) ) * 2 / 3 ) , Cost ) )
  WHERE CostProgressionModel <> "NO_COST_PROGRESSION";

UPDATE ModifierArguments SET Value = '50'  WHERE Name = 'Amount' and ModifierId = 'TRAIT_BOOST_ENCAMPMENT_PRODUCTION';
UPDATE ModifierArguments SET Value = '50'  WHERE Name = 'Amount' and ModifierId = 'TRAIT_BOOST_HOLY_SITE_PRODUCTION';
UPDATE ModifierArguments SET Value = '50'  WHERE Name = 'Amount' and ModifierId = 'TRAIT_BOOST_THEATER_PRODUCTION';
  
-- Each time you build the same kind of district, the cost of production increases by 50%. 
-- 25% for umbanza or neighborhood.

UPDATE Districts 
  SET CostProgressionModel = 'COST_PROGRESSION_PREVIOUS_COPIES', 
      CostProgressionParam1 = Round( Cost / 2 / ( 2 - OnePerCity ) )
  WHERE CostProgressionModel <> "NO_COST_PROGRESSION";
  
-- Science and culture are important in both 5 and 6. 
-- If you consider adjacent bonuses, it is very difficult to find campus and theater sites. 
-- As you did in Civilization 5, supply science and culture in big cities with lots of farm.

INSERT INTO District_Adjacencies
(	DistrictType,				YieldChangeId		)	VALUES
(	'DISTRICT_CAMPUS',			'Grass_Science'		),
(	'DISTRICT_CAMPUS',			'Plains_Science'	),
(	'DISTRICT_THEATER',			'Grass_Culture'		),
(	'DISTRICT_THEATER',			'Plains_Culture'	);

INSERT INTO Adjacency_YieldChanges
(	ID, 				Description,					YieldType,			YieldChange,	AdjacentTerrain,	TilesRequired	)	VALUES
(	'Grass_Science',	'LOC_DISTRICT_GRASS_SCIENCE',	'YIELD_SCIENCE',	'1',			'TERRAIN_GRASS',	'3'				),
(	'Plains_Science',	'LOC_DISTRICT_PLAINS_SCIENCE',	'YIELD_SCIENCE',	'1',			'TERRAIN_PLAINS',	'3'				),
(	'Grass_Culture',	'LOC_DISTRICT_GRASS_CULTURE',	'YIELD_CULTURE',	'1',			'TERRAIN_GRASS',	'3'				),
(	'Plains_Culture',	'LOC_DISTRICT_PLAINS_CULTURE',	'YIELD_CULTURE',	'1',			'TERRAIN_PLAINS',	'3'				);

-- In Civilization 6, there was no specialist, only layperson. Now they are back.
-- Citizen in district slot yields twice now.

UPDATE District_CitizenYieldChanges SET YieldChange = YieldChange*2;


