
/*
-- Entity-Modifier Tables

INSERT INTO GameModifiers
(	ModifierId									)	VALUES
(	'GAME_INCREASED_GOLD_REMOTE_TRADE'		),
(	'GAME_INCREASED_FOOD_REMOTE_TRADE'		)
(	'GAME_INCREASED_PRODUCTION_REMOTE_TRADE');

-- The DynamicModifiers Table

INSERT INTO DynamicModifiers
(	ModifierType,													CollectionType,				EffectType												)	VALUES
(	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_GOLD_FOR_INTERNATIONAL',	'COLLECTION_PLAYER_CITIES',	'EFFECT_ADJUST_CITY_TRADE_ROUTE_YIELD_FOR_INTERNATIONAL'),
(	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_FOOD_FOR_DOMESTIC',			'COLLECTION_PLAYER_CITIES',	'EFFECT_ADJUST_CITY_TRADE_ROUTE_YIELD_FOR_DOMESTIC'		),
(	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_PRODUCTION_FOR_DOMESTIC',	'COLLECTION_PLAYER_CITIES',	'EFFECT_ADJUST_CITY_TRADE_ROUTE_YIELD_FOR_DOMESTIC'		);

-- The Types Table

INSERT INTO Types
(	Kind,				Type														)	VALUES
(	'KIND_MODIFIER',	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_GOLD_FOR_INTERNATIONAL'	),
(	'KIND_MODIFIER',	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_FOOD_FOR_DOMESTIC'		),
(	'KIND_MODIFIER',	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_PRODUCTION_FOR_DOMESTIC');

-- The Modifiers Table

INSERT INTO Modifiers
(	ModifierId,									ModifierType,												RunOnce,Permanent,	SubjectRequirementSetId		)VALUES
(	'GAME_INCREASED_GOLD_REMOTE_TRADE',			'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_GOLD_FOR_INTERNATIONAL', '0',		'0',		NULL					),
(	'GAME_INCREASED_FOOD_REMOTE_TRADE',			'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_FOOD_FOR_DOMESTIC',		 '0',		'0',		NULL					),
(	'GAME_INCREASED_PRODUCTION_REMOTE_TRADE',	'MODIFIER_ADJUST_REMOTE_TRADE_ROUTE_PRODUCTION_FOR_DOMESTIC','0',		'0',		NULL					);

-- Modifier Arguments

INSERT INTO ModifierArguments
(	ModifierId,									Name,		Value									)	VALUES
(	'GAME_INCREASED_GOLD_REMOTE_TRADE',			'Amount',	'FLOOR(routeInfo.Length/2)*5'			),
(	'GAME_INCREASED_FOOD_REMOTE_TRADE',			'Amount',	'FLOOR(routeInfo.Length/2)*2'			),
(	'GAME_INCREASED_PRODUCTION_REMOTE_TRADE',	'Amount',	'FLOOR(routeInfo.Length/2)*2'			);

INSERT INTO ModifierArguments
(	ModifierId,									Name,			Value	)	VALUES
(	'GAME_INCREASED_GOLD_REMOTE_TRADE',			'YieldType',	'YIELD_GOLD'		),
(	'GAME_INCREASED_FOOD_REMOTE_TRADE',			'YieldType',	'YIELD_FOOD'		),
(	'GAME_INCREASED_PRODUCTION_REMOTE_TRADE',	'YieldType',	'YIELD_PRODUCTION'	);


--tradeRoute.Length tradePathLength
--routeInfo TRADE_ROUTE
*/
