-- In Civilization 6, the formula of the movement is different from that of Civilization 5 
-- and it cause movement loss. To compensate for this loss, I added one more movement to all units. 
-- This will make the slow movement of Civilization 6 faster.

UPDATE Units SET BaseMoves = BaseMoves + 1;

-- The military maintenance cost was too cheap and there were too many units on map. 
-- It must be harder to keep many troops now. 
-- In addition, the cost of upgrading units has also increased.
-- All unit maintenance cost doubled.

UPDATE Units SET Maintenance = Maintenance*2;

-- Many Units were abandoned. So I made a buff to them.
-- Military engineer became useful.
-- +2 combat to spearman(was 25) and pikeman(41)
-- +3 combat to ATcrew(70), infantry(70)
-- +5 combat to modernAT(80) 
-- +5 ranged combat(75) and combat(65) to machine gun.
-- monk's combat is not increased by general and thus I add 5 on monk's combat.
-- nurf Oligarchy legacy melee bonus 4 to 3.

-- now, range unit has anti spear bonus(+10 combat).
-- give anti range bonus(+5 combat) to melee units and anti melee bonus(+5 combat) to cavalry unit.
-- Simply, melee > range > anti cavalry > cavalry > melee.


UPDATE Units SET Combat = Combat+2 WHERE UnitType='UNIT_SPEARMAN';
UPDATE Units SET Combat = Combat+2 WHERE UnitType='UNIT_PIKEMAN';

UPDATE Units SET Combat = Combat+3 WHERE UnitType='UNIT_AT_CREW';
UPDATE Units SET Combat = Combat+3 WHERE UnitType='UNIT_INFANTRY';

UPDATE Units SET Combat = Combat+5 WHERE UnitType='UNIT_MODERN_AT';
UPDATE Units SET Combat = Combat+5, RangedCombat = RangedCombat+5 WHERE UnitType='UNIT_MACHINE_GUN';
UPDATE Units SET Combat = Combat+5 WHERE UnitType='UNIT_WARRIOR_MONK';

UPDATE ModifierArguments SET Value = '3' WHERE ModifierId='OLIGARCHY_LEGACY_MELEE_BUFF' AND Name ='Amount';
UPDATE ModifierArguments SET Value = '3' WHERE ModifierId='OLIGARCHY_MELEE_BUFF' AND Name ='Amount';

UPDATE Units SET BuildCharges='8' WHERE UnitType='UNIT_MILITARY_ENGINEER';

UPDATE TypeTags SET Tag = 'CLASS_RANGED' WHERE Type='ABILITY_ANTI_SPEAR';

INSERT INTO Types
(	Kind,					Type					)	VALUES
(	'KIND_ABILITY',			'ABILITY_ANTI_RANGED'	),
(	'KIND_ABILITY',			'ABILITY_ANTI_MELEE'	);

INSERT INTO TypeTags
(	Type,					Tag						)	VALUES
(	'ABILITY_ANTI_RANGED',	'CLASS_MELEE'			),
(	'ABILITY_ANTI_MELEE',	'CLASS_HEAVY_CAVALRY'	),
(	'ABILITY_ANTI_MELEE',	'CLASS_LIGHT_CAVALRY'	),
(	'ABILITY_ANTI_MELEE',	'CLASS_RANGED_CAVALRY'	),
(	'ABILITY_ANTI_MELEE',	'CLASS_HEAVY_CHARIOT'	),
(	'ABILITY_ANTI_MELEE',	'CLASS_LIGHT_CHARIOT'	);

INSERT INTO UnitAbilities
(	Description,									Name,								UnitAbilityType					)	VALUES
(	'LOC_ABILITY_ANTI_RANGED_DESCRIPTION',			'LOC_ABILITY_ANTI_RANGED_NAME',		'ABILITY_ANTI_RANGED'			),
(	'LOC_ABILITY_ANTI_MELEE_DESCRIPTION',			'LOC_ABILITY_ANTI_MELEE_NAME',		'ABILITY_ANTI_MELEE'			);

INSERT INTO UnitAbilityModifiers
(	UnitAbilityType,				ModifierId					)	VALUES
(	'ABILITY_ANTI_RANGED',			'ANTI_RANGED'	),
(	'ABILITY_ANTI_MELEE',			'ANTI_MELEE'	);

INSERT INTO Modifiers
(	ModifierId,				ModifierType,								SubjectRequirementSetId						)	VALUES
(	'ANTI_RANGED',			'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',		'ANTI_RANGED_OPPONENT_REQUIREMENTS'			),
(	'ANTI_MELEE',			'MODIFIER_UNIT_ADJUST_COMBAT_STRENGTH',		'ANTI_MELEE_OPPONENT_REQUIREMENTS'			);

INSERT INTO ModifierArguments
(	ModifierId,		Name,		Value		)	VALUES
(	'ANTI_RANGED',	'Amount',	'5'			),
(	'ANTI_MELEE',	'Amount',	'5'			);

INSERT INTO RequirementSets
(	RequirementSetId,							RequirementSetType		)	VALUES
(	'ANTI_RANGED_OPPONENT_REQUIREMENTS',		'REQUIREMENTSET_TEST_ALL'		),
(	'ANTI_MELEE_OPPONENT_REQUIREMENTS',			'REQUIREMENTSET_TEST_ALL'		);

INSERT INTO RequirementSetRequirements
(	RequirementSetId,							RequirementId							)	VALUES
(	'ANTI_RANGED_OPPONENT_REQUIREMENTS',		'ANTI_RANGED_OPPONENT_REQUIREMENT'		),
(	'ANTI_MELEE_OPPONENT_REQUIREMENTS',			'ANTI_MELEE_OPPONENT_REQUIREMENT'		);

INSERT INTO Requirements
(	RequirementId,							RequirementType											)	VALUES
(	'ANTI_RANGED_OPPONENT_REQUIREMENT',		'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES'		),
(	'ANTI_MELEE_OPPONENT_REQUIREMENT',		'REQUIREMENT_OPPONENT_UNIT_PROMOTION_CLASS_MATCHES'		);

INSERT INTO RequirementArguments
(	RequirementId,							Name,					Value					)	VALUES
(	'ANTI_RANGED_OPPONENT_REQUIREMENT',		'UnitPromotionClass',	'PROMOTION_CLASS_RANGED'),
(	'ANTI_MELEE_OPPONENT_REQUIREMENT',		'UnitPromotionClass',	'PROMOTION_CLASS_MELEE'	);

INSERT INTO ModifierStrings
(	Text,											Context,		ModifierId		)	VALUES
(	'LOC_ABILITY_ANTI_RANGED_MODIFIER_DESCRIPTION',	'Preview',		'ANTI_RANGED'	),
(	'LOC_ABILITY_ANTI_MELEE_MODIFIER_DESCRIPTION',	'Preview',		'ANTI_MELEE'	);










 





